<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <IsPackable>true</IsPackable>
    <WarningsAsErrors />
	<EnableNETAnalyzers>true</EnableNETAnalyzers>
  </PropertyGroup>
  <ItemGroup>
    <Folder Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Estat.SdmxSource.Extension.RDFPlugin" />
  </ItemGroup>
  <PropertyGroup>
    <CopyLocalLockFileAssemblies>true</CopyLocalLockFileAssemblies>
  </PropertyGroup>
  <Target Name="CopyPlugins" AfterTargets="Build">
    <Message Importance="high" Text="TargetDir=$(TargetDir)" />
    <Message Importance="high" Text="SolutionDir=$(SolutionDir)" />
    <ItemGroup>
      <BinFiles Include="$(TargetDir)Estat.SdmxSource.Extension.RDFPlugin.dll" />
    </ItemGroup>
    <Message Importance="high" Text="BinFiles=@(BinFiles)" />
    <Copy SourceFiles="@(BinFiles)" DestinationFolder="$(SolutionDir)\src\NSIWebServiceCore\bin\$(Configuration)\$(TargetFramework)\Plugins\" />
  </Target>
</Project>
